Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jempbox.xmp
Class ResourceEvent

    java.lang.Object
      org.jempbox.xmp.ResourceEvent

All Implemented Interfaces:
  Elementable

public class ResourceEvent
extends java.lang.Object
implements Elementable

This class represents a high level event that occured during the processing of this resource.

Version:
  $Revision: 1.2 $
Author:
  Ben Litchfield

Field Summary
`static java.lang.String` | `ACTION_CONVERTED` A predefined action.
`static java.lang.String` | `ACTION_COPIED` A predefined action.
`static java.lang.String` | `ACTION_CREATED` A predefined action.
`static java.lang.String` | `ACTION_CROPPED` A predefined action.
`static java.lang.String` | `ACTION_EDITED` A predefined action.
`static java.lang.String` | `ACTION_FILTERED` A predefined action.
`static java.lang.String` | `ACTION_FORMATTED` A predefined action.
`static java.lang.String` | `ACTION_MANAGED` A predefined action.
`static java.lang.String` | `ACTION_PRINTED` A predefined action.
`static java.lang.String` | `ACTION_PRODUCED` A predefined action.
`static java.lang.String` | `ACTION_PUBLISHED` A predefined action.
`static java.lang.String` | `ACTION_RESIZED` A predefined action.
`static java.lang.String` | `ACTION_VERSION_UPDATED` A predefined action.
`static java.lang.String` | `NAMESPACE` Namespace for a resource event.
`protected org.w3c.dom.Element` | `parent` The DOM representation of this object.

Constructor Summary
`ResourceEvent(org.w3c.dom.Element parentElement)` Create a resource reference based on a existing parent property set.
`ResourceEvent(XMPSchema schema)` Create resource event based on schema.

Method Summary
`java.lang.String` | `getAction()` Get the action that occured.
`org.w3c.dom.Element` | `getElement()` Get the underlying XML element.
`java.lang.String` | `getInstanceID()` Get the referenced resource's instance id.
`java.lang.String` | `getManager()` Get name of the asset management system that manages this resource.
`java.lang.String` | `getManagerTo()` URI identifying the managed resource.
`java.lang.String` | `getManagerUI()` URI to info about the managed resource.
`java.lang.String` | `getManagerVariant()` Get name of the variant of asset management system that manages this resource.
`java.lang.String` | `getParameters()` Get an additional description of the event.
`java.lang.String` | `getSoftwareAgent()` Get the software that performed this action.
`java.util.Calendar` | `getWhen()` Get the date/time that this event occured.
`void` | `setAction(java.lang.String action)` Set the action that this event represents.
`void` | `setInstanceID(java.lang.String id)` Set the referenced resource's document instance id.
`void` | `setMangager(java.lang.String manager)` Set the name of the system that manages this resource.
`void` | `setMangagerTo(java.lang.String managerTo)` Set the URI to the managed resource.
`void` | `setMangagerUI(java.lang.String managerUI)` Set the URI to the info about the managed resource.
`void` | `setMangagerVariant(java.lang.String managerVariant)` Set the name of the variant of the system that manages this resource.
`void` | `setParameters(java.lang.String param)` Set some addition description to this event.
`void` | `setSoftwareAgent(java.lang.String software)` Set the software that performed this operation.
`void` | `setWhen(java.util.Calendar when)` Set when the event occured.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMESPACE

    public static final java.lang.String NAMESPACE

  Namespace for a resource event.

  See Also:
    Constant Field Values

### ACTION_CONVERTED

    public static final java.lang.String ACTION_CONVERTED

  A predefined action.

  See Also:
    Constant Field Values

### ACTION_COPIED

    public static final java.lang.String ACTION_COPIED

  A predefined action.

  See Also:
    Constant Field Values

### ACTION_CREATED

    public static final java.lang.String ACTION_CREATED

  A predefined action.

  See Also:
    Constant Field Values

### ACTION_CROPPED

    public static final java.lang.String ACTION_CROPPED

  A predefined action.

  See Also:
    Constant Field Values

### ACTION_EDITED

    public static final java.lang.String ACTION_EDITED

  A predefined action.

  See Also:
    Constant Field Values

### ACTION_FILTERED

    public static final java.lang.String ACTION_FILTERED

  A predefined action.

  See Also:
    Constant Field Values

### ACTION_FORMATTED

    public static final java.lang.String ACTION_FORMATTED

  A predefined action.

  See Also:
    Constant Field Values

### ACTION_VERSION_UPDATED

    public static final java.lang.String ACTION_VERSION_UPDATED

  A predefined action.

  See Also:
    Constant Field Values

### ACTION_PRINTED

    public static final java.lang.String ACTION_PRINTED

  A predefined action.

  See Also:
    Constant Field Values

### ACTION_PUBLISHED

    public static final java.lang.String ACTION_PUBLISHED

  A predefined action.

  See Also:
    Constant Field Values

### ACTION_MANAGED

    public static final java.lang.String ACTION_MANAGED

  A predefined action.

  See Also:
    Constant Field Values

### ACTION_PRODUCED

    public static final java.lang.String ACTION_PRODUCED

  A predefined action.

  See Also:
    Constant Field Values

### ACTION_RESIZED

    public static final java.lang.String ACTION_RESIZED

  A predefined action.

  See Also:
    Constant Field Values

### parent

    protected org.w3c.dom.Element parent

  The DOM representation of this object.

Constructor Detail

### ResourceEvent

    public ResourceEvent(org.w3c.dom.Element parentElement)

  Create a resource reference based on a existing parent property set.

Parameters:
  `parentElement` - The parent element that will store the resource properties.

### ResourceEvent

    public ResourceEvent(XMPSchema schema)

  Create resource event based on schema.

Parameters:
  `schema` - The schema that this event will be part of.

Method Detail

### getElement

    public org.w3c.dom.Element getElement()

  Get the underlying XML element.

  Specified by:
    `getElement` in interface `Elementable`
  Returns:
    The XML element that this object represents.

### getAction

    public java.lang.String getAction()

  Get the action that occured. See the ACTION_XXX constants.

  Returns:
    An action key, such as 'created' or 'printed'.

### setAction

    public void setAction(java.lang.String action)

  Set the action that this event represents. See the ACTION_XXX constants.

  Parameters:
    `action` - The action that this event represents.

### getInstanceID

    public java.lang.String getInstanceID()

  Get the referenced resource's instance id.

  Returns:
    The id of the reference document instance.

### setInstanceID

    public void setInstanceID(java.lang.String id)

  Set the referenced resource's document instance id.

  Parameters:
    `id` - The id of the reference document instance.

### getParameters

    public java.lang.String getParameters()

  Get an additional description of the event.

  Returns:
    Additional description of this event

### setParameters

    public void setParameters(java.lang.String param)

  Set some addition description to this event.

  Parameters:
    `param` - The additional action parameters.

### getSoftwareAgent

    public java.lang.String getSoftwareAgent()

  Get the software that performed this action.

  Returns:
    The software that performed the action.

### setSoftwareAgent

    public void setSoftwareAgent(java.lang.String software)

  Set the software that performed this operation.

  Parameters:
    `software` - The name of the software that performed this action.

### getWhen

    public java.util.Calendar getWhen()
                               throws java.io.IOException

  Get the date/time that this event occured.

  Returns:
    The date of the event.
  Throws:
    `java.io.IOException` - If there is an error creating the date.

### setWhen

    public void setWhen(java.util.Calendar when)

  Set when the event occured.

  Parameters:
    `when` - The date that the event occured.

### getManager

    public java.lang.String getManager()

  Get name of the asset management system that manages this resource.

  Returns:
    The name of a asset management system.

### setMangager

    public void setMangager(java.lang.String manager)

  Set the name of the system that manages this resource.

  Parameters:
    `manager` - The name of the management system.

### getManagerVariant

    public java.lang.String getManagerVariant()

  Get name of the variant of asset management system that manages this resource.

  Returns:
    The name of a asset management system.

### setMangagerVariant

    public void setMangagerVariant(java.lang.String managerVariant)

  Set the name of the variant of the system that manages this resource.

  Parameters:
    `managerVariant` - The name of the management system.

### getManagerTo

    public java.lang.String getManagerTo()

  URI identifying the managed resource.

  Returns:
    The URI to resource.

### setMangagerTo

    public void setMangagerTo(java.lang.String managerTo)

  Set the URI to the managed resource.

  Parameters:
    `managerTo` - The URI to the managed resource.

### getManagerUI

    public java.lang.String getManagerUI()

  URI to info about the managed resource.

  Returns:
    The URI to the resource info.

### setMangagerUI

    public void setMangagerUI(java.lang.String managerUI)

  Set the URI to the info about the managed resource.

  Parameters:
    `managerUI` - The URI to the managed resource information.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD